package main;

import ea.Knoten;

public class Map extends Knoten {

	private Tile[][] map; 
	
	public Map() {
		map = new Tile[11][7];
		for (int x = 0; x < map.length; x++) {
			for (int y = 0; y < map[0].length; y++) {
				map[x][y] = new Tile((x == 0 || y == 0 || x == map.length - 1 || y == map[0].length - 1) ? 1 : 0);
				map[x][y].setX(x * Tile.getSize());
				map[x][y].setY(y * Tile.getSize());
				add(map[x][y]);
			}
		}
	}
}
